# network qos rule type

A Network QoS rule type is a specific Network QoS rule type available to be used.

Network v2

## network qos rule type list

List QoS rule types

    openstack network qos rule type list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending
        |
        --sort-descending
        ]
        [--all-supported | --all-rules]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-supported

  List all the QoS rule types supported by any loaded mechanism drivers (the union of all sets of supported rules)

--all-rules

  List all QoS rule types implemented in Neutron QoS driver

## network qos rule type show

Show details about supported QoS rule type

    openstack network qos rule type show <qos-rule-type-name>

qos-rule-type-name

  Name of QoS rule type

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.